This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 87618 - no sound and error with gnome-volume-control
no sound and error with gnome-volume-control
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-audio (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-30 16:52 EST by Van
Modified: 2015-01-07 19:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-30 17:29:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Van 2003-03-30 16:52:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; YComp 5.0.2.6)

Description of problem:
  Psyche seems not to work with built-in i810_autio module due to codec ac97 ( 
as told by one redhat technician ). I then install alsa sound package 9.0rc6, 
from Alsa Project website for intel8x0. After installation with careful 
following of instructions ( from step by step make install to unmute mixer, 
alsamixer, to changes to modules.conf . Everything seems fine, but there's 
still no sound. As I open gnome-volume-control, it gives error that there's 
invalid key name or some sort in "apps/gnome-volume-control/OSS-Analog-Device-
74(1)/...", which leads to parameters of volume incorrectly set. Note that the 
alamixer's setting is still there, but doesn't seem to have any effects. And 
in the gnome-volume-control, the "lock" button is checked, and no changes 
could be saved.

  Any ideas how to fix this problem? Appreciate it...


-Van,

Version-Release number of selected component (if applicable):
kernel 2.4.18-14

How reproducible:
Always

Steps to Reproduce:
1.No sounds before and after installation of alsa package
2.Try open gnome-volume-control to reset volume, but it gives:
3.Invalid or bad key/directory name error of gnome-volume-control 
in "apps/gnome-volume-control/OSS-Analoy-Device-74(1)/...", where "..." are 
pcm/volume/seq/mixer/...
    

Additional info:
Comment 1 Havoc Pennington 2003-03-30 17:29:45 EST
This is fixed in Red Hat Linux 9. (There's a duplicate bug report with more
information in here as well. The bug is probably against gnome-panel 
or gnome-applets.)

Note You need to log in before you can comment on or make changes to this bug.